- Partially updates a course instructor with the specified ID.
Returns a list of records with the specified tenant_id
Creates a new course instructor record that does not already exist.
Returns a course instructor from the system by its ID.
Returns a course instructor from the system by its ID.
Updates a course instructor with the specified ID.
Partially updates a cours...
This method will patch an existing course instructor with the specified ID, using the HTTP PATCH specification.
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/courseInstructors/{tenantId}/{id}
- https://certifications.api.rhythmsoftware.comhttps://certifications.api.rhythmsoftware.com/courseInstructors/{tenantId}/{id}
curl -i -X PATCH \
'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/courseInstructors/{tenantId}/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '[
{
"op": "add",
"path": "string",
"value": "string"
}
]'The course instructor was patched successfully.
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The date/time that this record was created, expressed in ISO-8601 date format
Means for passing directive information into an object processing logic
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
A number representing the version of this record in the database
Response
{ "contract_uri": "string", "courses": [ { … } ], "custom_field_values": [ { … } ], "id": "string", "is_active": true, "notes": "string", "pay_rate": 0.1, "sys_bulk_load_id": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_locked": true, "sys_version": 0.1, "training_provider_id": "string" }